
#ifndef __NET_LINK_H__
#define __NET_LINK_H__

#include <string>
#include <list>

class NetLink
{
public:
  NetLink(const std::string& );

  void execURL() const;
  int startURL(void* url);


  static void setDefaultBrowser(const std::string& browserName);
  static const std::string& defaultBrowser();

private:
  static void buildBrowserList();


private:
  std::string                    _link;

  // static lists.
  static std::string              _browser;
  static std::list<std::string>   _browserList;
};

#endif /** __NET_LINK_H__ */
