

#include "net_link.h"


#include "threading.h"
void SimpleGameMenu::execURL() const
{
  std::string URL = "http://www.orxonox.net";
  SDL_CreateThread(startURL, (void*)&URL);
}

#ifdef __OSX__
#include <ApplicationServices/ApplicationServices.h>
#elif defined __WIN32__
//#include <shellapi.h>
#endif

int SimpleGameMenu::startURL(void* url)
{
  std::string URL = *(std::string*)url;
#ifdef __linux__
  system ((std::string("firefox ") + URL).c_str());
#elif defined __OSX__
  CFURLRef url_handle = CFURLCreateWithBytes (NULL, (UInt8 *)URL.c_str(), URL.size(),
                                              kCFStringEncodingASCII, NULL);
  LSOpenCFURLRef (url_handle, NULL);
  CFRelease (url_handle);
#elif defined __WIN32__
  /*  ShellExecute(GetActiveWindow(),
               "open", URL.c_str(), NULL, NULL, SW_SHOWNORMAL);
}*/
#endif
  PRINTF(3)("loaded external webpage %s\n", URL.c_str());
}

